######### FUNZIONI COMUNI #########

#scrittura output & log
Function WriteLogOutput {
    Param ($logFile, $logType, [string]$logString)
    #compongo path per file di log
    $logPath = Join-Path $logFolder $logFile
    #scrivo su file la stringa se il tipo di log è > o uguale al livello richiesto
    if ($logType -le $logLevel) {
        Add-content $logPath -value "$logString"
        #scrivo su terminale la stringa se $terminalOutput=1
        if ($terminalOutput -eq 1) {
            Write-Output($logString)
        }
    }
}